Skip to content

upsertMethodOperation

WRITE

Upsert method operation.

POST /api/v1/items/upsertMethodOperation
curl -X POST '<your-host>/api/v1/items/upsertMethodOperation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "makeMethodId": "string",
    "order": 0,
    "operationOrder": "After Previous",
    "operationType": "Process",
    "processId": "string",
    "description": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 0
min length 0
"After Previous""With Previous"
"Process""Assembly""Inspection""Outside Processing"
min 0
min length 1
min 0
"Hours/Piece""Hours/100 Pieces""Hours/1000 Pieces""Minutes/Piece""Minutes/100 Pieces""Minutes/1000 Pieces""Pieces/Hour""Pieces/Minute""Seconds/Piece""Total Hours""Total Minutes"
min 0
"Hours/Piece""Hours/100 Pieces""Hours/1000 Pieces""Minutes/Piece""Minutes/100 Pieces""Minutes/1000 Pieces""Pieces/Hour""Pieces/Minute""Seconds/Piece""Total Hours""Total Minutes"
min 0
min 0
min 0
min 0
"Hours/Piece""Hours/100 Pieces""Hours/1000 Pieces""Minutes/Piece""Minutes/100 Pieces""Minutes/1000 Pieces""Pieces/Hour""Pieces/Minute""Seconds/Piece""Total Hours""Total Minutes"

Input schema

schema
{
  "type": "object",
  "properties": {
    "makeMethodId": {
      "type": "string",
      "minLength": 0
    },
    "order": {
      "type": "number",
      "minimum": 0
    },
    "operationOrder": {
      "type": "string",
      "enum": [
        "After Previous",
        "With Previous"
      ]
    },
    "operationType": {
      "type": "string",
      "enum": [
        "Process",
        "Assembly",
        "Inspection",
        "Outside Processing"
      ]
    },
    "processId": {
      "type": "string",
      "minLength": 1
    },
    "workCenterId": {
      "type": "string"
    },
    "procedureId": {
      "type": "string"
    },
    "inspectionDocumentId": {
      "type": "string"
    },
    "description": {
      "type": "string",
      "minLength": 0
    },
    "setupUnit": {
      "type": "string",
      "enum": [
        "Hours/Piece",
        "Hours/100 Pieces",
        "Hours/1000 Pieces",
        "Minutes/Piece",
        "Minutes/100 Pieces",
        "Minutes/1000 Pieces",
        "Pieces/Hour",
        "Pieces/Minute",
        "Seconds/Piece",
        "Total Hours",
        "Total Minutes"
      ]
    },
    "setupTime": {
      "type": "number",
      "minimum": 0
    },
    "laborUnit": {
      "type": "string",
      "enum": [
        "Hours/Piece",
        "Hours/100 Pieces",
        "Hours/1000 Pieces",
        "Minutes/Piece",
        "Minutes/100 Pieces",
        "Minutes/1000 Pieces",
        "Pieces/Hour",
        "Pieces/Minute",
        "Seconds/Piece",
        "Total Hours",
        "Total Minutes"
      ]
    },
    "laborTime": {
      "type": "number",
      "minimum": 0
    },
    "machineUnit": {
      "type": "string",
      "enum": [
        "Hours/Piece",
        "Hours/100 Pieces",
        "Hours/1000 Pieces",
        "Minutes/Piece",
        "Minutes/100 Pieces",
        "Minutes/1000 Pieces",
        "Pieces/Hour",
        "Pieces/Minute",
        "Seconds/Piece",
        "Total Hours",
        "Total Minutes"
      ]
    },
    "machineTime": {
      "type": "number",
      "minimum": 0
    },
    "operationSupplierProcessId": {
      "type": "string"
    },
    "operationMinimumCost": {
      "type": "number",
      "minimum": 0
    },
    "operationUnitCost": {
      "type": "number",
      "minimum": 0
    },
    "operationLeadTime": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "makeMethodId",
    "order",
    "operationOrder",
    "operationType",
    "processId",
    "description",
    "_operation"
  ]
}